Solution Kit Install Error: This mapping requires the property 'SK_AllowMappingOverride' be set to true by the .skar file author

Document ID : KB000004392
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

When attempting to install a solution kit, for example OAuth Toolkit or Mobile API Gateway, you receive the below error:

"This Solution Kit does not allow overriding of this mapping.

  This mapping requires the property “SK_AllowMappingOverride” be set to true by the .skar file author."

 

sk_override.png

 

 

Environment:
CA API Management Gateway 9.0 using a MySQL DatabaseCA API Management Gateway 9.1 using a MySQL Database
Resolution:

To resolve this issue you must increase the value of the MySQL variable: max_allowed_packet

The value will be different for each environment and the sample below is only provided as a guideline. Please refer to your DBA or MySQL documentation for further guidance in refining this to best suit your environment.

This command can be run at the MySQL prompt to dynamically change the value. Please note this will affect all new connections until a restart occurs.

SET GLOBAL max_allowed_packet = 33554432;

 

mysql.png